﻿--Creates the options menu
_G.FBIOEDMenu = _G.FBIOEDMenu or {}
FBIOEDMenu._path = ModPath
FBIOEDMenu._data_path = ModPath .. "menu/settings.json"
FBIOEDMenu._data = {}

function FBIOEDMenu:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end

function FBIOEDMenu:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
    if not FBIOEDMenu._data.medic_shotgun then FBIOEDMenu._data.medic_shotgun = false end
    if not FBIOEDMenu._data.zeal_marksman then FBIOEDMenu._data.zeal_marksman = false end
end

Hooks:Add("LocalizationManagerPostInit", "FBI_localize_menu", function(loc)
	loc:load_localization_file(FBIOEDMenu._path .. "menu/english.json")
end)

Hooks:Add("MenuManagerInitialize", "FBI_init_menu", function(menu_manager)
	MenuCallbackHandler.fbioed_medic_shotgun_callback = function(self, item)
		FBIOEDMenu._data.medic_shotgun = (item:value() == "on" and true or false)
		FBIOEDMenu:Save()
	end

	MenuCallbackHandler.fbioed_zeal_marksman_callback = function(self, item)
		FBIOEDMenu._data.zeal_marksman = (item:value() == "on" and true or false)
		FBIOEDMenu:Save()
	end

	FBIOEDMenu:Load()

	MenuHelper:LoadFromJsonFile(FBIOEDMenu._path .. "menu/menu.json", FBIOEDMenu, FBIOEDMenu._data)
end)